package com.kevinsignes.animaladvisor.dao;

import java.util.ArrayList;
import java.util.Collection;
import java.util.List;
import java.util.Optional;

import javax.annotation.PostConstruct;

import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Repository;

import com.kevinsignes.animaladvisor.modelos.Animal;
import com.kevinsignes.animaladvisor.config.AppConfig;

@Repository
public class AnimalDaoImplMemory implements AnimalDao {
	
public List<Animal> animales = new ArrayList<Animal>();
	
	@Autowired
	private AppConfig appConfig;
	
	@PostConstruct
	public void iniciar() {
		animales = UtilAnimalFileReader.readFile(appConfig.getFile(), appConfig.getSeparator(), appConfig.getListSeparator());
	}

	public Animal buscarPorId(long id) {
		Optional<Animal> animalPorId = animales.stream().filter(ani -> ani.getId() == id).findFirst(); 
		return animalPorId.orElse(null);
	}
	
	public Collection<Animal> mostrarTodos() {
		return animales;
	}

	public void nuevoAnimal(Animal animal) {
		animales.add(animal);
	}

	public void editarAnimal(Animal animal) { 
		int i = obtenerId(animal.getId());
		if(i != -1) {
			animales.set(i, animal);
		}
	}

	public void borrarAnimal(long id) {
		int i = obtenerId(id);
		if(i != -1) {
			animales.remove(i);
		}
	}
	
	private int obtenerId(long id) {
		boolean encontrado = false;
		int i = 0;
		
		while(!encontrado && i < animales.size()) {
			if(animales.get(i).getId() == id) {
				encontrado = true;
			} else {
				i++;
			}
		}
		
		return (encontrado) ? i : -1;
	}

	
}
