package com.kevinsignes.animaladvisor.dao;

import java.nio.file.Files;
import java.nio.file.Paths;
import java.util.ArrayList;
import java.util.List;
import java.util.stream.Collectors;

import org.springframework.util.ResourceUtils;

import com.kevinsignes.animaladvisor.modelos.Animal;

public class UtilAnimalFileReader {
	public static List<Animal> readFile(final String path, final String separator, final String listSeparator) {
		List<Animal> result = new ArrayList<Animal>();
		
		try {
			// @formatter:off
			result = Files
						.lines(Paths.get(ResourceUtils.getFile(path).toURI()))
						.skip(1)
						.map(line -> {
							String[] values = line.split(separator);
							return new Animal(Long.parseLong(values[0]), values[1], values[2],
									values[3],values[4], values[5],values[6] ) ;
					}).collect(Collectors.toList());
 			// @formatter:on

		} catch (Exception e) {
			System.err.println("Error de lectura del fichero de datos: animal.csv");
			System.exit(-1);
		}
		
		return result;
	}
}
