package com.kevinsignes.animaladvisor.modelos;

import java.util.Objects;

public class Animal {
	
	private long id;
	private String nombre;
	private String tipo;
	private String habitat;
	private String promediaVida;
	private String color;
	private String domestico;
	
	
	
	
	public Animal(long id, String nombre, String tipo, String habitat, String promediaVida, String color,
			String domestico) {
		super();
		this.id = id;
		this.nombre = nombre;
		this.tipo = tipo;
		this.habitat = habitat;
		this.promediaVida = promediaVida;
		this.color = color;
		this.domestico = domestico;
	}
	public long getId() {
		return id;
	}
	public void setId(long id) {
		this.id = id;
	}
	public String getNombre() {
		return nombre;
	}
	public void setNombre(String nombre) {
		this.nombre = nombre;
	}
	public String getTipo() {
		return tipo;
	}
	public void setTipo(String tipo) {
		this.tipo = tipo;
	}
	public String getHabitat() {
		return habitat;
	}
	public void setHabitat(String habitat) {
		this.habitat = habitat;
	}
	public String getPromediaVida() {
		return promediaVida;
	}
	public void setPromediaVida(String promediaVida) {
		this.promediaVida = promediaVida;
	}
	public String getColor() {
		return color;
	}
	public void setColor(String color) {
		this.color = color;
	}
	public String getDomestico() {
		return domestico;
	}
	public void setDomestico(String domestico) {
		this.domestico = domestico;
	}
	@Override
	public int hashCode() {
		return Objects.hash(color, domestico, habitat, id, nombre, promediaVida, tipo);
	}
	@Override
	public boolean equals(Object obj) {
		if (this == obj)
			return true;
		if (obj == null)
			return false;
		if (getClass() != obj.getClass())
			return false;
		Animal other = (Animal) obj;
		return Objects.equals(color, other.color) && Objects.equals(domestico, other.domestico)
				&& Objects.equals(habitat, other.habitat) && id == other.id && Objects.equals(nombre, other.nombre)
				&& Objects.equals(promediaVida, other.promediaVida) && Objects.equals(tipo, other.tipo);
	}
	@Override
	public String toString() {
		return "Animal [id=" + id + ", nombre=" + nombre + ", tipo=" + tipo + ", habitat=" + habitat + ", promediaVida="
				+ promediaVida + ", color=" + color + ", domestico=" + domestico + "]";
	}
	
	

	
	
	
}

