package com.kevinsignes.animaladvisor.service;

import java.util.Collection;

import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;

import com.kevinsignes.animaladvisor.dao.AnimalDao;
import com.kevinsignes.animaladvisor.modelos.Animal;

@Service
public class AnimalService {
	@Autowired
	AnimalDao animalDao; 

	@Autowired
	AnimalQueryService queryService;


	public Collection<Animal> buscarTipo(String tipo) {
		return queryService.buscarTipo(tipo).ejecutar();
	}

	public Collection<Animal> buscarPromedioVida(String anyo) {
		return queryService.buscarPromedioVida(anyo).ejecutar();
	}

	public Collection<Animal> buscarNombre(String nombre) {
		return queryService.buscarNombre(nombre).ejecutar();
	}

	public Collection<Animal> mostrarTodos() {
		return animalDao.mostrarTodos();
	}
	
	public Collection<Animal> buscarcolor(String color) {
		return queryService.buscarcolor(color).ejecutar();
	}
	
	public Collection<Animal> mostrarDomesticos(String domesticos) {
		return queryService.buscarDomesticos(domesticos).ejecutar();
	}
	
}